import { ChartAnnotation, ChartOptions, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
export declare function cartesian3d(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: ChartOptions, type: string): {
    dataset: any[];
    grid3D: any[];
    xAxis3D: any[];
    yAxis3D: any[];
    zAxis3D: any[];
    series: any[];
    visualMap: any[];
};
export declare function cartesianCoordinate3d(data: Array<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: ChartOptions): {
    grid3D: {
        top: number;
        right: number;
        bottom: number;
        left: number;
        containLabel: boolean;
    };
    xAxis3D: {
        type: string;
    };
    yAxis3D: {
        type: string;
    };
    zAxis3D: {
        type: string;
    };
    visualMap: any[];
    datasets: any[];
};
