import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions, ICoordinate } from './types';
export declare function gatherCoordinates(coordinates: ICoordinate[], type: 'pie' | string, options: EChartsOptions): {
    dataset: any[];
    title: any[];
    grid: any[];
    xAxis: any[];
    yAxis: any[];
    series: any[];
    visualMap: any[];
    tooltip: any[];
    legend: any[];
    dataZoom: any[];
};
export declare function coordinates(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions, coordinateType: 'grid' | 'pie', cartesianCoordinate: (...i: any) => ICoordinate): ICoordinate[];
