import { AggregationRole, C_MEASURES } from '@metad/ocap-core';
export const SALES_ENTITY_TYPE = {
    name: 'Sales',
    properties: {
        Time: {
            name: 'Time',
            role: AggregationRole.dimension
        },
        sales: {
            name: 'sales',
            role: AggregationRole.measure
        }
    }
};
export const CHART_ANNOTATION = {
    chartType: {
        type: 'Scatter'
    },
    dimensions: [
        {
            dimension: 'Time'
        }
    ],
    measures: [
        {
            dimension: C_MEASURES,
            measure: 'sales'
        }
    ]
};
//# sourceMappingURL=mock.js.map