import { ChartAnnotation, ChartDimension, ChartMeasure, ChartSettings, ChartOptions, EntityType } from '@metad/ocap-core';
import { SeriesComponentType } from './types';
export declare function stackedForMeasure(results: Array<unknown>, measure: ChartMeasure, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options?: ChartOptions): {
    dataset: {
        id: string;
        source: any[][];
        categories: {
            value: any;
            label: any;
        }[];
        series: {
            value: any;
            label: any;
        }[];
    };
    seriesComponents: SeriesComponentType[];
    tooltip: any;
};
export declare function getMatrixForMeasure(items: Array<unknown>, entityType: EntityType, category: ChartDimension, category2: ChartDimension, measure: string): {
    categoryValues: {
        value: any;
        label: any;
    }[];
    category2Values: {
        value: any;
        label: any;
    }[];
    source: any[][];
};
export declare function getDatasetIdForMeasure(name: string): string;
